Subject: bug#2375: 23.0.90; ^ in gnus summary buffer does not work in the nextstep build

From: David Engster <[email-masked]>
Date: Thu, 19 Feb 2009 13:35:17 +0100

Stefan Monnier <[email-masked]> writes:
> I think the bug is in the definition of ns-unput-working-text (or in
> the way ns-unput-working-text and ns-unput-working-text (both events
> and functions) interact).
>
> Not sure why ns-working-overlay was nil in your case, so either
> ns-unput-working-text should be careful to handle the case where that
> variable is nil, or some other code should make sure that it can't be
> nil when we reach ns-unput-working-text.

It seems this is a bug in ns-insert-working-text, and it's already
mentioned there in a FIXME comment:

;; FIXME: if buffer is read-only, don't try to insert anything
;;  and if text is bound to a command, execute that instead (Bug#1453)

The Gnus group and summary buffers are read only, so what we're dealing
here seems to be a duplicate of Bug #1453.

-David